import { Category } from '../../types';
/**
 * Fetches all collections on the shop, including products.
 *
 * @example
 * _shopifyClient.collection.fetchAllWithProducts().then((collections) => {
 *   // Do something with the collections
 * });
 *
 * @return {Promise|Category[]} A promise resolving with an array of `Category`s with products.
 */
declare function fetchAllWithProducts(): Promise<Category[]>;
export default fetchAllWithProducts;
