import { Product, ProductSearchParams } from '../../types';
/**
 * Fetches a single product by handle on the shop.
 *
 * @example
 * _shopifyClient.product.fetchByHandle('my-product').then((product) => {
 *   // Do something with the product
 * });
 *
 * @param {String} handle The handle of the product to fetch.
 * @return {Promise|Product} A promise resolving with a `Product` type.
 */
declare function fetchByHandle(options: ProductSearchParams): Promise<Product[]>;
export default fetchByHandle;
